# Session 1 Architecture hardware numérique 2024-03-01

3 controles continus + 1 projet : réalisation carte électronique

programme : résistances, transistor type moss, bascules (nand, etc), logique combinatoire et séquentielle, alimentation, switch, processeurs, etc

## Composants discrets

### Résistance 

symbole R, unité ohm, ^v^v^v
energie dissipée P=RI²
limite le passage du courant
effet joule => ça chauffe

V/I = R <=> i = V/(RT)->inf. (R->0+)

si résistance faible=> courant augmente, le fil chauffe et se met à fumer
système de garde = disjoncteur / fusible,

ex : 220V tension efficace, 9KW, disjoncteur à 41V

(éléments de dissipation : resist. de charge, d'amortissement, chauffantes
elts     de division de tension : résistances en ponts, resist. dans filtres (RC, RLC) 
elts de polarisation : Pull-up, Pull-Down)


en série : Req = somme des résistances
en parallèle : 1/Req = somme(1/R)

si générateur idéal => fournit tjrs même courant


tau = RC
3tau = 95%
exp(-t/tau)
### Condensateur 
ŵ : oméga
energie stockée dans un cond. : Q=C.V
symbole C, unité farad
bloque le passage d'un courant continu en stabilisé   --||--
instantané = V = exp(-t/tau)+C si on colle un condens. déchargé avec une batterie forte (voiture) et un fil, la resistance est nulle (= le fil), le courant est infini, et le condensateur va charger vite

point de contact du condensateur => généralement une petite résistance, et une résistance de fuite (~quelques gigaohm)

en série : 1/Ceq = somme(1/c)
en parallèle Ceq = somme(C)
^v^v^v----||-----^v^v^v^
|                      |
|^v^v^v^v^v^v^v^v^v^v^v|

Z=1/cŵ, z=impédance d'un cond. en ohm
z=inf. en continu, car ŵ=0

oscour
lcŵ²=1 résonance (condens. et bobines(self)), courbe de fresnel, équations différentielles
ŵ=1/rac(LC)

#### self (bobine ?)
symbole L, unité henry, --0000000--
résistance nulle en courant continu, et résistance importante sinon
Lŵ/R=1
tau=L/R, au bout de 3tau~=95% de la self est démagnétisée

self en haute freq. c'est une bonne cappa
en série Leq = somme(L)
parallèle 1/Leq =somme(1/L)
impédance Z=Lŵ


### Les transistors MOS (Metal Oxyde Semiconductor) (MOSFET)
porteurs d'un seul type, donc composant unipolaire (contrairement au transist. bipolaire)
en silicium, car facilement dopable
V/Id = Rdson
3 contacts : (Grille, Drain et Source)
1er temps autour des zones n+ les charges :
-majoritaires sont '+' -> zone de déplétion lorsque Vgs >0 est appliquée entre drain et source, la diode substrat drain est bloquée, le courant ne passe pas
-quand la tension de la grille augmente, la zone entre D et S la force electromag attire les charges - et un canal se créé et -conduction d'un courant de D vers S (flux minoritaires d'e- dans la zone P attirée par la grille)
-proche de G, les e- deviennent majoritaires, un canal de conduction est créé entre D et vers S modulé par Vgs(dès que Vgs > Vth)


partie métal = condensateur
largeur grille ancien processeur : 5 nm, maintenant 18 angström (10^-10) : 1,8nm
salle grise - salle blanche : taux de particule réduit, on évite la poussière pour éviter d'abimer les processeurs

-sorte d'interrupteur quasi parfait

oxyde mauvais conducteur -> un composant s'oxyde R augmente -> RI² augmente mais comme I reste le meme le disjoncteur n'intervient pas -> la maison brule

-si tension entre grille et source = 0, aucun courant ne passe, mode bloqué, R=inf, dissipation thermique RI²=0
-sinon mode saturé, R = 0.5 ohm par exemple , si Vgs=V,I~32a, si Vgs baisse R augmente, dissipation thermique augmente

chauffe pendant qu'il s'ouvre, si passage rapide, pas de chauffe=> solution sur les transistors (1 et 0 ouvert et fermé souvent) augmenter la freq pour éviter de trop chauffer

zone ohmique, puis zone saturée